Heh, I'm sorry, mental brain-fart... Just edited /etc/dhcpcd.conf and added
the line 'allowinterfaces eth0'. DHCP functionality is fine.
Added a new template for alias interfaces. This depends on the parent
interface providing the gateway and nameserver settings.
Template:
fs init.d # cat /etc/netif.d/alias
#!/sbin/runscript
depend() {
config "$CONFD"
need $PARENT
}
die() {
eend 1 "$*"; exit 1
}
start() {
ebegin "$STARTD"
require IP NM
ifconfig $INT $IP netmask $NM up || die "Couldn't bring $INT up"
eend $?
}
stop() {
ebegin "$STOPD"
ifconfig $INT down || die "Couldn't bring $INT down"
eend $?
}
And here's a sample configuration file:
fs init.d # cat /etc/conf.d/netif.br0\:0
template="alias"
description="Alias Interface"
PARENT="netif.br0"
IP=10.9.18.253
NM=255.255.255.0
And the startup script is /etc/init.d/netif.br0\:0 in this case.
Thanks,
Ryan
-----Original Message-----
From: Ryan Holt [mailto:
carp...@gmail.com]
Sent: Thursday, December 03, 2009 5:34 PM
To: Funtoo
Subject: Re: new core networking docs and openrc